.backdrop {
    background: transparent;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transform: translateY(10000px);
    transition: background .35s, transform 0s .5s ease-in-out;
    box-sizing: border-box;
    padding: 24px;
}

.backdrop.show {
    background: rgba(0, 0, 0, 0.4); 
    transform: translateY(0);
    transition: background .35s, transform 0s 0s ease-in-out;
}

.backdrop .modal {
    position: relative;
    background: #FFFFFF;
    border-radius: 10px;
    width: 100%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    box-shadow: 1px 1px 10px 1px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    padding: 48px 0 0 0;
    opacity: 0;
    overflow: hidden;
    transform: translateY(40px);
    height: 100%;
    max-height: 828px;
    transition: max-height .35s .25s, transform .35s, opacity .35s ease-in-out;
}

.backdrop.show .modal {
    transform: translateY(0);
    opacity: 1;
}

.backdrop .modal a.close {
    position: absolute;
    right: 24px;
    top: 24px;
    width: 24px;
    height: 24px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.backdrop .modal a.close svg {
    width:12px;
    height:12px;
}

.backdrop .modal .inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 0 40px 48px 40px;
    margin: 0;
    overflow: auto;
    height: 100%;
}

.backdrop .modal svg.icon {
    width:84px; 
    height:79px;
}

.backdrop .modal h1 {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 38px;
    text-align: center;
    color: #3E3E3E;
    margin: 0 0 0 0;
    width: 100%;
}

.backdrop .modal h3  {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 25px;
    color: #3E3E3E;
    width: 100%;
    margin: 36px 0 12px 0;
}

.backdrop .modal .rate {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
    gap: 16px;
}

.backdrop .modal .rate > svg  {
    fill: none;
    stroke: var(--primary);
    stroke-width: 3px;
    width: 36px;
    cursor: pointer;
}

.backdrop .modal .rate > svg.checked  {
    fill: var(--primary);
}

.backdrop .modal .radiobuttons {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
    gap: 56px;
}

.backdrop .modal .radiobuttons label {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    color: #3E3E3E;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px; 
}

.backdrop .modal .radiobuttons label input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
    margin: 0;
    font: inherit;
    color: currentColor;
    width: 20px;
    height: 20px;
    border: 2px solid rgba(62, 62, 62, 0.5);
    border-radius: 50%;
    display: grid;
    place-content: center;
}

.backdrop .modal .radiobuttons label input[type="radio"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    border-radius: 50%;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--primary);
  }
  
  .backdrop .modal .radiobuttons label input[type="radio"]:checked::before {
    transform: scale(1);
  }  

.backdrop .modal textarea {
    width: 100%;
    /* height: 112px; */
    flex: 0 0 112px;
    border: 1.5px solid var(--primary);
    border-radius: 4px;
    transition: border-color .35s ease-in-out;
    box-sizing: border-box;
    background: #F4F4F4;
    padding: 8px;
    resize: none;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    outline: none;
}

.backdrop .modal textarea::placeholder {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    color: rgba(62, 62, 62, 0.5);
}


.backdrop .modal button.submit {
    width: 400px;
    flex: 0 0 56px;
    border-radius: 8px;
    background: linear-gradient(180deg, rgba(0, 176, 255, 0.977355) -0.5%, #861FFC 76.33%, #861FFC 98.45%);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
    border: none;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 25px;
    text-align: center;
    color: #FFFFFF;
    margin: 36px 0 0 0;
    cursor: pointer;
}

.backdrop .modal .thanks {
    background: #ffffff;
    position: absolute;
    left: 0;
    right: 0;
    top: 48px;
    bottom: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 0 48px 48px 48px;
    transform: translateY(3000px);
    opacity: 0;
    transition: opacity .35s 1s, transform 0s 1s ease-in-out;
}

.backdrop .modal.show {
    max-height: 264px;
}

.backdrop .modal.show .thanks {
    transform: translateY(0);
    opacity: 1;
    transition: opacity .35s 0s, transform 0s 0s ease-in-out;
}



@media only screen and (max-width: 732px) {
    .backdrop {
        padding: 24px 24px 72px 24px ;
    }

    .backdrop .modal a.close {
        right: 16px;
        top: 16px;
    }

    .backdrop .modal .inner {
        overflow: auto;
        padding: 0 24px 24px 24px;
    }

    .backdrop .modal h1 {
        /* margin-top: 28px; */
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 700;
        font-size: 24px;
        line-height: 33px;
        color: #3E3E3E;
    }

    .backdrop .modal h3 {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 600;
        font-size: 16px;
        line-height: 22px;
        color: #3E3E3E;
    }

    .backdrop .modal button.submit {
        margin: 28px 0 0 0;
        width: 100%;
    }
}

